/**
 *  Copyright (c) 2013-2014 Angelo ZERR.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *  Angelo Zerr <angelo.zerr@gmail.com> - initial API and implementation
 */
package org.eclipse.angularjs.core;

/**
 * AngularJS constants.
 * 
 */
public class AngularCoreConstants {

	/**
	 * Preferences constants for AngularJS directives.
	 */
	public static final String DIRECTIVE_USE_ORIGINAL_NAME = "directiveUseOriginalName"; //$NON-NLS-1$
	public static String DIRECTIVE_STARTS_WITH_NOTHING = "directiveStartsWithNothing"; //$NON-NLS-1$
	public static String DIRECTIVE_STARTS_WITH_DATA = "directiveStartsWithData"; //$NON-NLS-1$
	public static String DIRECTIVE_STARTS_WITH_X = "directiveStartsWithX"; //$NON-NLS-1$
	public static String DIRECTIVE_COLON_DELIMITER = "directiveColonDelimiter"; //$NON-NLS-1$
	public static final String DIRECTIVE_MINUS_DELIMITER = "directiveMinusDelimiter"; //$NON-NLS-1$
	public static final String DIRECTIVE_UNDERSCORE_DELIMITER = "directiveUnderscoreDelimiter"; //$NON-NLS-1$
	public static final String EXPRESSION_START_SYMBOL = "startSymbol"; //$NON-NLS-1$
	public static final String EXPRESSION_END_SYMBOL = "endSymbol"; //$NON-NLS-1$
	
	/**
	 * Protactor
	 */
	public static final String PROTRACTOR_DEFAULT_CLI_FILE = "protractorDefaultCliFile"; //$NON-NLS-1$
	public static final String PROTRACTOR_NODEJS_DEBUGGER = "protractorNodeJSDebugger"; //$NON-NLS-1$
	public static final String PROTRACTOR_NODEJS_INSTALL = "protractorNodeJSInstall"; //$NON-NLS-1$
	public static final String PROTRACTOR_NODEJS_PATH = "protractorNodeJSPath"; //$NON-NLS-1$
}
